package com.sundot.airport.exam.common.model.result;

import com.sundot.airport.exam.domain.Ques;

import java.util.List;

/**
 * <b>功能名：</b>QuesResult<br>
 * <b>说明：</b> 题干表封装结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-07-05 liangxiao
 */
public class QuesResult extends Ques {

    /**
     * 题目分类名称
     */
    private String qcName;

    /**
     * 选项列表
     */
    private List<QuesOptResult> option;

    @Override
    public String toString() {
        return super.toString() + "QuesResult{" +
                "qcName='" + qcName + '\'' +
                ", option=" + option +
                '}';
    }

    public String getQcName() {
        return qcName;
    }

    public void setQcName(String qcName) {
        this.qcName = qcName;
    }

    public List<QuesOptResult> getOption() {
        return option;
    }

    public void setOption(List<QuesOptResult> option) {
        this.option = option;
    }
}
